update Reservations
set Day4 = NULL, ProductNumber4 = NULL 
where ProductNumber4 = -1 and ISNULL(Day4, -1) <= 0

if @@RowCount > 0
begin
  update Reservations
  set Day3 = NULL, ProductNumber3 = NULL 
  where ProductNumber3 = -1 and ISNULL(Day3, -1) <= 0

  update Reservations
  set Day2 = NULL, ProductNumber2 = NULL 
  where ProductNumber2 = -1 and ISNULL(Day2, -1) <= 0
end

update ReservationRoomLine
set Day4 = NULL, ProductNumber4 = NULL 
where ProductNumber4 = -1 and ISNULL(Day4, -1) <= 0

if @@RowCount > 0
begin
  update ReservationRoomLine
  set Day3 = NULL, ProductNumber3 = NULL 
  where ProductNumber3 = -1 and ISNULL(Day3, -1) <= 0

  update ReservationRoomLine
  set Day2 = NULL, ProductNumber2 = NULL 
  where ProductNumber2 = -1 and ISNULL(Day2, -1) <= 0
end